Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.jdbcjobstore
Interface TriggerPersistenceDelegate

All Known Implementing Classes:
  CalendarIntervalTriggerPersistenceDelegate, CronTriggerPersistenceDelegate, DailyTimeIntervalTriggerPersistenceDelegate, SimplePropertiesTriggerPersistenceDelegateSupport, SimpleTriggerPersistenceDelegate

    public interface TriggerPersistenceDelegate

An interface which provides an implementation for storing a particular type of `Trigger`'s extended properties.

Author:
  jhouse

Nested Class Summary
`static class` | `TriggerPersistenceDelegate.TriggerPropertyBundle`

Method Summary
`boolean` | `canHandleTriggerType(OperableTrigger trigger)`
`int` | `deleteExtendedTriggerProperties(Connection conn, TriggerKey triggerKey)`
`String` | `getHandledTriggerTypeDiscriminator()`
`void` | `initialize(String tablePrefix, String schedulerName)`
`int` | `insertExtendedTriggerProperties(Connection conn, OperableTrigger trigger, String state, JobDetail jobDetail)`
`TriggerPersistenceDelegate.TriggerPropertyBundle` | `loadExtendedTriggerProperties(Connection conn, TriggerKey triggerKey)`
`int` | `updateExtendedTriggerProperties(Connection conn, OperableTrigger trigger, String state, JobDetail jobDetail)`

Method Detail

### initialize

    void initialize(String tablePrefix,
                    String schedulerName)

### canHandleTriggerType

    boolean canHandleTriggerType(OperableTrigger trigger)

### getHandledTriggerTypeDiscriminator

    String getHandledTriggerTypeDiscriminator()

### insertExtendedTriggerProperties

    int insertExtendedTriggerProperties(Connection conn,
                                        OperableTrigger trigger,
                                        String state,
                                        JobDetail jobDetail)
                                        throws SQLException,
                                               IOException

  Throws:
    `SQLException`
    `IOException`

### updateExtendedTriggerProperties

    int updateExtendedTriggerProperties(Connection conn,
                                        OperableTrigger trigger,
                                        String state,
                                        JobDetail jobDetail)
                                        throws SQLException,
                                               IOException

  Throws:
    `SQLException`
    `IOException`

### deleteExtendedTriggerProperties

    int deleteExtendedTriggerProperties(Connection conn,
                                        TriggerKey triggerKey)
                                        throws SQLException

  Throws:
    `SQLException`

### loadExtendedTriggerProperties

    TriggerPersistenceDelegate.TriggerPropertyBundle loadExtendedTriggerProperties(Connection conn,
                                                                                   TriggerKey triggerKey)
                                                                                   throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.